#!/bin/sh

if test "$1" = ""; then
	echo "Usage: $0 \"<commit-comment>\""
	exit 1
fi

echo "$0: Reading projects..."
LIST=`find */trunk/application/*/*.php | cut -d "/" -f 1-2 | sort --unique`

for repos in ${LIST}; do
	echo "$0: Committing in ${repos} ..."
	cd "${repos}" || exit 255
	svn commit -m "$1"
	cd -
done

exit 0
